summary refs log tree commit diff
path: root/build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/build.sh b/build.sh
new file mode 100755
index 0000000..6f1ddad
--- /dev/null
+++ b/build.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+set -e; # exit on error
+
+#CC="x86_64-unknown-linux-musl-gcc"
+CC="gcc"
+
+roll_print() { printf "\t\t%s\t%s\n" "$1" "$2"; }
+
+for i in fdwatcher network parent child main; do
+	roll_print "CC" "$i.o"
+	"$CC" -I. -c -o "$i.o" "$i.c"
+done
+
+"$CC" -static -o aura fdwatcher.o network.o parent.o child.o main.o
+strip aura
+